aboutsummaryrefslogtreecommitdiffstats
path: root/main/yeahconsole
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-14 02:10:00 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-14 02:10:00 +0000
commit1f684b76d9d9bbf6df7ad8f2e937bc4ede67440f (patch)
tree10aafcf4067ac2f7d226fb0024666926d7bd0617 /main/yeahconsole
parent972e2e79b28f2e7d3ebab0fd3b4a9ca5df676210 (diff)
downloadaports-1f684b76d9d9bbf6df7ad8f2e937bc4ede67440f.tar.bz2
aports-1f684b76d9d9bbf6df7ad8f2e937bc4ede67440f.tar.xz
main/yeahconsole: build fix
Diffstat (limited to 'main/yeahconsole')
-rw-r--r--main/yeahconsole/APKBUILD24
-rw-r--r--main/yeahconsole/yeahconsole-0.3.4-make.patch30
2 files changed, 44 insertions, 10 deletions
diff --git a/main/yeahconsole/APKBUILD b/main/yeahconsole/APKBUILD
index 63bb4b8714..25be501618 100644
--- a/main/yeahconsole/APKBUILD
+++ b/main/yeahconsole/APKBUILD
@@ -11,21 +11,25 @@ depends=""
depends_dev=""
makedepends="$depends_dev libx11-dev"
install=""
-source="${url}${pkgname}-${pkgver}.tar.gz"
+source="${url}${pkgname}-${pkgver}.tar.gz
+ yeahconsole-0.3.4-make.patch"
-_builddir="$srcdir/$pkgname-$pkgver"
+builddir="$srcdir/$pkgname-$pkgver"
build() {
- cd "$_builddir"
- make PREFIX=${pkgdir}/usr || return 1
+ cd "$builddir"
+ make PREFIX=${pkgdir}/usr || return 1
}
package() {
- cd "$_builddir"
- mkdir -p $pkgdir'/usr/bin'
- make PREFIX=${pkgdir}/usr install || return 1
+ cd "$builddir"
+ mkdir -p $pkgdir'/usr/bin'
+ make PREFIX=${pkgdir}/usr install || return 1
}
-md5sums="83a2367f9b4857fed02464b0e8a6595a yeahconsole-0.3.4.tar.gz"
-sha256sums="fcf3481f78a263a70f1cb5163630fc22e78bb0915013eb05689c6f4aeb0583ef yeahconsole-0.3.4.tar.gz"
-sha512sums="cba74d988b3cb991d95de1796e9e79b881fe011d4fc8d6aa1f863f4c465aadfd31250e57d36ce0118dfc367225c2861cf8e80ac47996c2718d83756a8e638ead yeahconsole-0.3.4.tar.gz"
+md5sums="83a2367f9b4857fed02464b0e8a6595a yeahconsole-0.3.4.tar.gz
+998232e4f99953529d80882777f69386 yeahconsole-0.3.4-make.patch"
+sha256sums="fcf3481f78a263a70f1cb5163630fc22e78bb0915013eb05689c6f4aeb0583ef yeahconsole-0.3.4.tar.gz
+478d7469b804806468fefea15d7b71775e2508e0f3f25a093a8e95ff9acabb59 yeahconsole-0.3.4-make.patch"
+sha512sums="cba74d988b3cb991d95de1796e9e79b881fe011d4fc8d6aa1f863f4c465aadfd31250e57d36ce0118dfc367225c2861cf8e80ac47996c2718d83756a8e638ead yeahconsole-0.3.4.tar.gz
+e78ace16e451fabe508ff9e6b691ae215b626a1b16868d44f958801c01278b15921cd8a187d454dd685a75eea8b798cd00e71ae024d83c43918104c43cf1a58f yeahconsole-0.3.4-make.patch"
diff --git a/main/yeahconsole/yeahconsole-0.3.4-make.patch b/main/yeahconsole/yeahconsole-0.3.4-make.patch
new file mode 100644
index 0000000000..0075c43329
--- /dev/null
+++ b/main/yeahconsole/yeahconsole-0.3.4-make.patch
@@ -0,0 +1,30 @@
+--- a/Makefile 2006-01-14 16:54:05.000000000 +0100
++++ b/Makefile 2009-02-26 16:18:25.000000000 +0100
+@@ -1,6 +1,4 @@
+ TARGET = yeahconsole
+-CC = gcc
+-#CC = cc
+ INSTALL = install
+
+ PREFIX = /usr/local
+@@ -8,17 +6,16 @@
+ LIBS = -lX11
+ INCLUDES = -I/usr/X11R6/include
+ LIB_DIRS = -L/usr/X11R6/lib
+-FLAGS = -Os -Wall
++FLAGS = -Wall $(CFLAGS)
+
+ OBJECTS := yeahconsole.o
+ SOURCES := yeahconsole.c
+
+ $(TARGET): $(OBJECTS)
+- $(CC) $(DEFINES) $(INCLUDES) $(LIB_DIRS) $(LIBS) -o $@ $<
+- strip $@
++ $(CC) $(FLAGS) $(LDFLAGS) $(DEFINES) $(INCLUDES) $(LIB_DIRS) -o $@ $< $(LIBS)
+
+ $(OBJECTS): $(SOURCES)
+- $(CC) $(FLAGS) $(DEFINES) $(INCLUDES) $(LIB_DIRS) -c -o $@ $<
++ $(CC) $(FLAGS) $(DEFINES) $(INCLUDES) $(LIB_DIRS) -c -o $@ $<
+
+ clean:
+ rm -rf $(TARGET) $(OBJECTS)